Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.indentation
Class PrimordialHandler

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.indentation.ExpressionHandler
          com.puppycrawl.tools.checkstyle.checks.indentation.PrimordialHandler

    public class PrimordialHandler

extends ExpressionHandler

A default no-op handler.

Author:
  jrichard

Constructor Summary
`PrimordialHandler(IndentationCheck aIndentCheck)` Construct an instance of this handler with the given indentation check.

Method Summary
`void` | `checkIndentation()` Check the indentation of the expression we are handling.
`protected IndentLevel` | `getLevelImpl()` Compute the indentation amount for this handler.
`IndentLevel` | `suggestedChildLevel(ExpressionHandler aChild)` Indentation level suggested for a child element.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.indentation.ExpressionHandler
`checkChildren, checkExpressionSubtree, checkLinesIndent, checkLParen, checkModifiers, checkRParen, expandedTabsColumnNo, findSubtreeLines, getBasicOffset, getBraceAdjustement, getFirstLine, getIndentCheck, getLevel, getLineStart, getLineStart, getMainAst, getParent, logError, logError, shouldIncreaseIndent, startsLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrimordialHandler

    public PrimordialHandler(IndentationCheck aIndentCheck)

  Construct an instance of this handler with the given indentation check.

  Parameters:
    `aIndentCheck` - the indentation check

Method Detail

### checkIndentation

    public void checkIndentation()

  Check the indentation of the expression we are handling.

  Specified by:
    `checkIndentation` in class `ExpressionHandler`

### suggestedChildLevel

    public IndentLevel suggestedChildLevel(ExpressionHandler aChild)

  Indentation level suggested for a child element. Children don't have to respect this, but most do.

  Overrides:
    `suggestedChildLevel` in class `ExpressionHandler`
  Parameters:
    `aChild` - child AST (so suggestion level can differ based on child type)
  Returns:
    suggested indentation for child

### getLevelImpl

    protected IndentLevel getLevelImpl()

  Compute the indentation amount for this handler.

  Overrides:
    `getLevelImpl` in class `ExpressionHandler`
  Returns:
    the expected indentation amount

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD